当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 17 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : 下载的deb软件包及其信赖包用什么方法安装?
帖子发表于 : 2010-01-05 16:25 

注册: 2010-01-03 17:33
帖子: 116
送出感谢: 0 次
接收感谢: 0 次
用dpkgt安装总出现错误。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 下载的deb软件包及其信赖包用什么方法安装?
帖子发表于 : 2010-01-05 16:31 
头像

注册: 2009-05-20 19:32
帖子: 2462
送出感谢: 0 次
接收感谢: 2
irc <cece> say: sigh..


_________________
irc 聊天室
ubuntu-cn 的irc 频道为
irc.ubuntu.com 8001 #ubuntu-cn
UTF8编码 可用 irssi xchat pidgin weechat 登录

http://webchat.freenode.net/?channels=ubuntu-cn
irc://irc.freenode.net/ubuntu-cn


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 下载的deb软件包及其信赖包用什么方法安装?
帖子发表于 : 2010-01-05 16:34 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 20
X_DANCHE_X 写道:
用dpkgt安装总出现错误。

什么错误?


_________________
Grub2 基础教程


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 下载的deb软件包及其信赖包用什么方法安装?
帖子发表于 : 2010-01-05 16:51 

注册: 2010-01-03 17:33
帖子: 116
送出感谢: 0 次
接收感谢: 0 次
smallapple 写道:
X_DANCHE_X 写道:
用dpkgt安装总出现错误。

什么错误?


用什么办法安装? :em02


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 下载的deb软件包及其信赖包用什么方法安装?
帖子发表于 : 2010-01-05 16:52 

注册: 2010-01-03 17:33
帖子: 116
送出感谢: 0 次
接收感谢: 0 次
O_O_BOT 写道:
irc <cece> say: sigh..



大师:
有出现!


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 下载的deb软件包及其信赖包用什么方法安装?
帖子发表于 : 2010-01-05 17:26 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 20
代码:
sudo dpkg -i *.deb


_________________
Grub2 基础教程


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 下载的deb软件包及其信赖包用什么方法安装?
帖子发表于 : 2010-01-05 17:35 
头像

注册: 2008-04-07 17:36
帖子: 4010
地址: 泰安人在阜新
送出感谢: 0 次
接收感谢: 0 次
那是 依赖

使用 gdebi

或者
代码:
sudo dpkg -i *.deb
代码:
sudo apt-get install -f


_________________
宇宙数学物理 sssssssss Ubuntu 桌面培训 sssssssss 问打包的问题之前先看
和我一样的新手请看,我看过了,腰不酸了,腿不疼了,上楼也有劲了
想去IRC的点这里——一个比QQ群好N多的东西


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 下载的deb软件包及其信赖包用什么方法安装?
帖子发表于 : 2010-01-05 20:52 

注册: 2010-01-03 17:33
帖子: 116
送出感谢: 0 次
接收感谢: 0 次
wzssyqa 写道:
那是 依赖

使用 gdebi

或者
代码:
sudo dpkg -i *.deb
代码:
sudo apt-get install -f



dpkg这种方法不可以!

按照命令的提示,把全部依赖软件包都装上了,最后还会出现很奇怪的错误的? :em20


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 下载的deb软件包及其信赖包用什么方法安装?
帖子发表于 : 2010-01-05 20:57 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 20
引用:
最后还会出现很奇怪的错误的?

什么奇怪的错误?贴出来瞧瞧。


_________________
Grub2 基础教程


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 下载的deb软件包及其信赖包用什么方法安装?
帖子发表于 : 2010-01-05 21:43 
头像

注册: 2009-09-20 19:30
帖子: 765
地址: GIS
系统: ubuntu12.04
送出感谢: 0 次
接收感谢: 0 次
可以把压缩包中的“setup”的属性中的权限改为“可用程序执行”,然后在终端中执行“setup”即可。


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 下载的deb软件包及其信赖包用什么方法安装?
帖子发表于 : 2010-01-05 22:27 
头像

注册: 2009-04-27 21:07
帖子: 472
地址: 柚香何处闻?
送出感谢: 0 次
接收感谢: 0 次
菜 飘过。 :em06 :em06


_________________
OS :Ubuntu13.04


最后由 nlr 编辑于 2010-01-07 14:13,总共编辑了 1 次

页首
 用户资料  
 
12 楼 
 文章标题 : Re: 下载的deb软件包及其信赖包用什么方法安装?
帖子发表于 : 2010-01-06 12:34 

注册: 2010-01-03 17:33
帖子: 116
送出感谢: 0 次
接收感谢: 0 次
smallapple 写道:
引用:
最后还会出现很奇怪的错误的?

什么奇怪的错误?贴出来瞧瞧。


软件包都下载在没联网的电脑中。这种情况,怎样处理软件包的依赖关系?

w@w-laptop:~$ sudo dpkg -i language-pack-gnome-zh.deb
选中了曾被取消选择的软件包 language-pack-gnome-zh。
(正在读取数据库 ... 系统当前总共安装有 114040 个文件和目录。)
正在解压缩 language-pack-gnome-zh (从 language-pack-gnome-zh.deb) ...

dpkg:依赖关系问题使得 language-pack-gnome-zh 的配置工作不能继续:
language-pack-gnome-zh 依赖于 language-pack-gnome-zh-hans (>= 1:9.10+20090901);然而:
未曾安装软件包“language-pack-gnome-zh-hans”。

language-pack-gnome-zh 依赖于 language-pack-gnome-zh-hant (>= 1:9.10+20090901);然而:
未曾安装软件包“language-pack-gnome-zh-hant”。

dpkg:处理 language-pack-gnome-zh (--install)时出错:
依赖关系问题 - 仍未被配置

在处理时有错误发生:
language-pack-gnome-zh

w@w-laptop:~$ sudo dpkg -i language-pack-gnome-zh-hans.deb language-pack-gnome-zh-hant.deb
选中了曾被取消选择的软件包 language-pack-gnome-zh-hans。
(正在读取数据库 ... 系统当前总共安装有 114043 个文件和目录。)
正在解压缩 language-pack-gnome-zh-hans (从 language-pack-gnome-zh-hans.deb) ...
选中了曾被取消选择的软件包 language-pack-gnome-zh-hant。
正在解压缩 language-pack-gnome-zh-hant (从 language-pack-gnome-zh-hant.deb) ...
dpkg:依赖关系问题使得 language-pack-gnome-zh-hans 的配置工作不能继续:
language-pack-gnome-zh-hans 依赖于 language-pack-gnome-zh-hans-base (>= 1:9.10+20091022);然而:
未曾安装软件包“language-pack-gnome-zh-hans-base”。
language-pack-gnome-zh-hans 依赖于 language-pack-zh-hans-base (>= 1:9.10+20091022);然而:
未曾安装软件包“language-pack-zh-hans-base”。
dpkg:处理 language-pack-gnome-zh-hans (--install)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 language-pack-gnome-zh-hant 的配置工作不能继续:
language-pack-gnome-zh-hant 依赖于 language-pack-gnome-zh-hant-base (>= 1:9.10+20091022);然而:
未曾安装软件包“language-pack-gnome-zh-hant-base”。
language-pack-gnome-zh-hant 依赖于 language-pack-zh-hant-base (>= 1:9.10+20091022);然而:
未曾安装软件包“language-pack-zh-hant-base”。
dpkg:处理 language-pack-gnome-zh-hant (--install)时出错:
依赖关系问题 - 仍未被配置
正在处理用于 software-center 的触发器...
在处理时有错误发生:
language-pack-gnome-zh-hans
language-pack-gnome-zh-hant

w@w-laptop:~$ sudo dpkg -i language-pack-gnome-zh-hans-base.deb language-pack-zh-hans-base.deb language-pack-gnome-zh-hant-base.deb language-pack-zh-hant-base.deb
选中了曾被取消选择的软件包 language-pack-gnome-zh-hans-base。
(正在读取数据库 ... 系统当前总共安装有 114049 个文件和目录。)
正在解压缩 language-pack-gnome-zh-hans-base (从 language-pack-gnome-zh-hans-base.deb) ...
dpkg:处理 language-pack-zh-hans-base.deb (--install)时出错:
无法访问打包文件: No such file or directory
选中了曾被取消选择的软件包 language-pack-gnome-zh-hant-base。
正在解压缩 language-pack-gnome-zh-hant-base (从 language-pack-gnome-zh-hant-base.deb) ...
dpkg:处理 language-pack-zh-hant-base.deb (--install)时出错:
无法访问打包文件: No such file or directory
dpkg:依赖关系问题使得 language-pack-gnome-zh-hans-base 的配置工作不能继续:
language-pack-gnome-zh-hans-base 依赖于 language-pack-gnome-zh-hans (>= 1:9.10+20091022);然而:
软件包 language-pack-gnome-zh-hans 还没有被配置。
language-pack-gnome-zh-hans-base 依赖于 language-pack-zh-hans-base;然而:
未曾安装软件包“language-pack-zh-hans-base”。
dpkg:处理 language-pack-gnome-zh-hans-base (--install)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 language-pack-gnome-zh-hant-base 的配置工作不能继续:
language-pack-gnome-zh-hant-base 依赖于 language-pack-gnome-zh-hant (>= 1:9.10+20091022);然而:
软件包 language-pack-gnome-zh-hant 还没有被配置。
language-pack-gnome-zh-hant-base 依赖于 language-pack-zh-hant-base;然而:
未曾安装软件包“language-pack-zh-hant-base”。
dpkg:处理 language-pack-gnome-zh-hant-base (--install)时出错:
依赖关系问题 - 仍未被配置
正在处理用于 software-center 的触发器...
在处理时有错误发生:
language-pack-zh-hans-base.deb
language-pack-zh-hant-base.deb
language-pack-gnome-zh-hans-base
language-pack-gnome-zh-hant-base
w@w-laptop:~$


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 下载的deb软件包及其信赖包用什么方法安装?
帖子发表于 : 2010-01-06 13:01 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 274
dpkg -i 先安装,提示不要紧。
多用aptitude刷刷就是了。


_________________
● 鸣学


页首
 用户资料  
 
14 楼 
 文章标题 : Re: 下载的deb软件包及其信赖包用什么方法安装?
帖子发表于 : 2010-01-06 13:05 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 20
language-pack-zh-hans-base.deb
language-pack-zh-hant-base.deb
这两个包不存在吧?


_________________
Grub2 基础教程


页首
 用户资料  
 
15 楼 
 文章标题 : Re: 下载的deb软件包及其信赖包用什么方法安装?
帖子发表于 : 2010-01-06 19:32 

注册: 2010-01-03 17:33
帖子: 116
送出感谢: 0 次
接收感谢: 0 次
smallapple 写道:
language-pack-zh-hans-base.deb
language-pack-zh-hant-base.deb
这两个包不存在吧?


所有的包都存在!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 17 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Baidu [Spider] 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译